Bug 106307 - Wrong shape for numerals, based on locale and not the text language
Summary: Wrong shape for numerals, based on locale and not the text language
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: All All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-03-03 20:58 UTC by Hossein
Modified: 2018-07-05 02:49 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Hossein 2017-03-03 20:58:29 UTC
Description:
I am a Persian/Farsi user, and I usually work with Persian/Farsi language documents. Because of this, I use "Persian" locale in Libreoffice.
Now that I want to open an English language Impress document, from LO 5.3 I see numerals in Hindi, although I have selected "context" in Options > Language Settings > Complex Text Layout > General Options > Numerals.

Steps to Reproduce:
1. Set locale to Persian in Options > Language Settings > Languages > Locale setting
2. Set "Numerals" to "context" in Options > Language Settings > Complex Text Layout > General Options.
3. Open or create some Impress presentation with English text and numerals.

Actual Results:  
Numerals are shown in Hindi, like ۱, ۲, ۳, etc., which is wrong.

Expected Results:
Numerals should be shown in Arabic, like 1, 2, 3, etc.


Reproducible: Always

User Profile Reset: No

Additional Info:
This seems to be created in LibreOffice 5.3, which fixed a lot of  text rendering issues. The locale prolbems are not confined to this issue. Here is another one:

Bug 106306 - Wrong text language detection, based on locale and not keyboard
https://bugs.documentfoundation.org/show_bug.cgi?id=106306


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Buovjaga 2017-03-11 18:27:35 UTC
Reproduced. The entered numerals turn Hindi after clicking out of the text box.

Arch Linux 64-bit, KDE Plasma 5
Version: 5.4.0.0.alpha0+
Build ID: 43af3605d7e3b372dcc61f9cbc2cabff09396ed5
CPU threads: 8; OS: Linux 4.10; UI render: default; VCL: kde4; 
Locale: fa-IR (fi_FI.UTF-8); Calc: group
Built on March 10th 2016
Comment 2 raal 2017-05-26 13:50:01 UTC
Hello,
I can reproduce the bug with Version: 4.4.0.0.alpha0+. Is it really regression? Hossein, from which version did you upgraded to 5.3?
Comment 3 Buovjaga 2017-07-04 08:57:03 UTC
Yep, the regression claim was bogus. I see the behaviour in 3.5 already. There the locale is still named "Farsi".

LibreOffice 3.5.0rc3 
Build ID: 7e68ba2-a744ebf-1f241b7-c506db1-7d53735
Comment 4 QA Administrators 2018-07-05 02:49:06 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug